Update Profile Group
curl --request PATCH \
--url https://odyssey.asteroid.ai/agents/v2/profile-groups/{groupId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"allowConcurrentUse": true,
"name": "<string>"
}
'import requests
url = "https://odyssey.asteroid.ai/agents/v2/profile-groups/{groupId}"
payload = {
"allowConcurrentUse": True,
"name": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({allowConcurrentUse: true, name: '<string>'})
};
fetch('https://odyssey.asteroid.ai/agents/v2/profile-groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowConcurrentUse": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"selectionStrategy": "least_recently_used",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": 400,
"message": "<string>"
}{
"code": 401,
"message": "<string>"
}{
"code": 403,
"message": "<string>"
}{
"code": 404,
"message": "<string>"
}{
"code": 500,
"message": "<string>"
}Profile Groups
Update Profile Group
Update an existing profile group
PATCH
/
profile-groups
/
{groupId}
Update Profile Group
Authorizations
Path Parameters
The ID of the profile group
Body
application/json
Fields to update
Request to update an existing agent profile pool
Response
The request has succeeded.
A pool of agent profiles that can be used for credential rotation
Whether multiple executions can use the same profile concurrently
When the pool was created
Unique identifier for the agent profile pool
Name of the agent profile pool (unique within organization)
The ID of the organization that owns this pool
Strategy for selecting an available profile from the pool
Available options:
least_recently_used, most_recently_used When the pool was last updated

